Vistas
Delete Vista
Deletes the requested vista.
Required scopes:
vista:all
Authorization
auth-token AuthorizationBearer <token>
All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
id*string
The ID of the vista to delete.
Format
idResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/vistas.delete" \ -H "Content-Type: application/json" \ -d '{ "id": "VISTA-12345" }'{}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "not_found"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}Update Timeline Entry POST
Updates an entry on an object's timeline. **Required scopes:** Requires the read or write scope of the parent object's type (e.g. issue:write when posting to an issue's timeline).
Get Vista (POST) POST
Gets the requested vistas's information. **Required scopes:** - `vista:read` OR `vista:write` OR `vista:all`